using System;

namespace Ekskurzija_takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            int[] q = new int[t];
            for (int i = 0; i < t; i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                long n = long.Parse(s[0]);
                long m = long.Parse(s[1]);
                int k = int.Parse(s[2]);
                for (int l = 0; l < k; l++)
                {
                    int a = 0;
                    if (n / k != 0 && l + 1 != k)
                    {
                        for (int j = 1; j <= n / k; j++)
                        {
                            a += j;
                        }
                        m -= a;
                        n -= n / k;
                    }
                    else
                    {
                        for (int j = 1; j <= n; j++)
                        {
                            a += j;
                        }
                        m -= a;
                        n -= n;
                    }
                }
                if (m >= 0)
                {
                    q[i] = 1;
                }
            }
            for (int i = 0; i < t; i++)
            {
                if (q[i] == 1)
                {
                    Console.WriteLine("Tak");
                }
                else
                {
                    Console.WriteLine("Nie");
                }
            }
        }
    }
}